/items

Search, track, or get a list of the items booked in your network. This resource can be used to check the status of an item.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Search

Use the optional search query parameter to restrict results to matching items. The behavior of this resource is equivalent to the Search function on your enterprise web portal.

GET /api/v1/items?key=my-api-key&search=6H268 HTTP/1.1
Host: my-company.zyllem.com
Content-Type: application/json
curl -X GET \
  'https://my-company.zyllem.com/api/v1/items?key=my-api-key&search=6H268' \
  -H 'content-type: application/json'

Lookup

Use the optional lookup query parameter to look up the exact match of a string. This query can be used in place of 'search', and also produces faster results. The lookup is not case sensitive.
This resource is equivalent to the Search function on your enterprise web portal.

GET /api/v1/items?key=my-api-key&lookup=6H268 HTTP/1.1
Host: my-company.zyllem.com
Content-Type: application/json
curl -X GET \
  'https://my-company.zyllem.com/api/v1/items?key=my-api-key&lookup=6H268' \
  -H 'content-type: application/json'

updatedSince

Use the optional updatedSince query parameter to filter results by last update (i.e., when an action was last performed on the item). This accepts a date only or date & time query that is in ISO8601 format. When querying, the value must be URL encoded.

For example:

  • Format when querying: 2022-05-11T04:49:31.240Z
  • Format as a response: 2022-05-11T12:49:31.240+08:00
GET /api/v1/items?key=my-api-key&updatedSince=2019-01-29 HTTP/1.1
Host: my-company.zyllem.com
Content-Type: application/json
curl -X GET \
  'https://my-company.zyllem.com/api/v1/items?key=my-api-key&updatedSince=2019-29-01' \
  -H 'content-type: application/json'
Query Params
string

Sepcify the target network. Only required if the API client is not bound to a network

string

Search terms (see notes below)

string

Lookup value (see notes below)

date

Filter results by last update (date only, or date & time)

int32

Page number

Responses

Language
Credentials
Query
URL
LoadingLoading…
Response
Choose an example:
application/json